### Enumeration

# Phosh WaylandSeatCapabilities

#### Declaration

    flags Phosh.WaylandSeatCapabilities

#### Description [src]

These match wl_seat_capabilities.

#### Members

`PHOSH_WAYLAND_SEAT_CAPABILITY_NONE`

  No device detected.

  - Value: `0`
  - Available since: 0
`PHOSH_WAYLAND_SEAT_CAPABILITY_POINTER`

  The seat has pointer devices.

  - Value: `1`
  - Available since: 0
`PHOSH_WAYLAND_SEAT_CAPABILITY_KEYBOARD`

  The seat has one or more keyboards.

  - Value: `2`
  - Available since: 0
`PHOSH_WAYLAND_SEAT_CAPABILITY_TOUCH`

  The seat has touch devices.

  - Value: `4`
  - Available since: 0
`PHOSH_WAYLAND_SEAT_CAPABILITY_TABLET_MODE_SWITCH`

  The seat has a tablet mode switch.

  - Value: `256`
  - Available since: 0
`PHOSH_WAYLAND_SEAT_CAPABILITY_LID_SWITCH`

  The seat has a lid switch.

  - Value: `512`
  - Available since: 0